import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Display here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Display extends Actor
{
    double count = 1;
    
    /**
     * Act - do whatever the Display wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        MyWorld w = (MyWorld)getWorld();
        Player player = getWorld().getObjects(Player.class).get(0);
        GreenfootImage img = new GreenfootImage(768, 64);
        Color trans = new Color(0, 0, 0, 0);
        Color text = new Color(255, 255, 255, 127);
        
        String l = "Lives: " + player.lives;
        GreenfootImage lives = new GreenfootImage(l, 48, text, trans);
        img.drawImage(lives, 384 - lives.getWidth() / 2, 16);
        
        count += player.damage > count ? 0.1 : player.damage == 1 ? -count + 1 : 0;
        
        String d = "Damage: " + (int)(Math.log(count) * 100);
        GreenfootImage damage = new GreenfootImage(d, 36, text, trans);
        img.drawImage(damage, 192 - damage.getWidth() / 2, 24);
        
        String v = "Level: " + (w.level - 1);
        GreenfootImage level = new GreenfootImage(v, 36, text, trans);
        img.drawImage(level, 576 - level.getWidth() / 2, 24);
        
        setImage(img);
    }    
    
    public Display() {
        
    }
}
