import greenfoot.*;

public class Item extends Entity {
    protected double posx, posy, vely;
    boolean touched, dead;

    public void no() {
        if (dead) {
            return;            
        }
        if (posx < -64 || posy < -64 || posx > 832 || posy > 576) {
            getWorld().removeObject(this);
            return;
        }
        Platform platform = (Platform)getOneIntersectingObject(Platform.class);
        if (platform != null) {
            int y = platform.posy;
            int h = platform.getImage().getHeight();
            if (vely > 0 && posy < y) {
                posy = y - h / 2 - getImage().getHeight() / 2 + 1;
                vely = -vely * 0.5;
            } else if (vely <= 0 && posy > y) {
                posy = y + h / 2 + getImage().getHeight() / 2;
                vely = -vely * 0.5;
            }
            if (vely < 0.1 && vely > 0) {
                vely = 0;
            }
        }
        vely += 0.5;
        posy += vely;
    }

    public void go() {
        MyWorld w = (MyWorld)getWorld();
        setLocation((int)posx + w.xOff(), (int)posy + w.yOff());
    }

    public Item() {
        posx = Greenfoot.getRandomNumber(384) + 192;
        posy = Greenfoot.getRandomNumber(192);
    }

    public void destroy() {
        getWorld().removeObject(this);
        dead = true;
    }
}
