import greenfoot.*;

public class Platform extends Entity {
    boolean init;
    int posx, posy;
    
    public void go() {
        if (!init) {
            init = true;
            posx = getX();
            posy = getY();
        }
        MyWorld w = (MyWorld)getWorld();
        setLocation(posx + w.xOff(), posy + w.yOff());
    }
    
    public Platform(int w, int h) {
        GreenfootImage img = new GreenfootImage(w, h);
        img.setColor(new Color(154, 154, 154));
        img.fillRect(0, 0, w, h / 2);
        img.setColor(new Color(238, 238, 238));
        img.fillRect(0, h / 2, w, h);
        img.fillPolygon(new int[]{w, w, w - h}, new int[]{0, h, h}, 3);
        img.setColor(new Color(154, 154, 154));
        img.fillPolygon(new int[]{0, h, 0}, new int[]{0, 0, h}, 3);
        setImage(img);
    }
}
