import greenfoot.*;

public class Player extends Mover {
    boolean pressed;
    int lives = 0;

    public void no() {
        if (!update()) {
            lives--;
            posx = 384;
            posy = 256;
            velx = 0;
            vely = 0;
            damage = 1;
            if (lives == 0) {
                getWorld().removeObject(this);
                Greenfoot.stop();
            }
            return;
        }
        if (Greenfoot.isKeyDown("W")) {
            if (!pressed) {
                jump();
                pressed = true;
            }
        } else {
            pressed = false;
        }
        if (Greenfoot.isKeyDown("A")) {
            velx -= 1;
        }
        if (Greenfoot.isKeyDown("D")) {
            velx += 1;
        }
        if (weapon == 1 && Greenfoot.mouseClicked(null) == true) {
            MouseInfo m = Greenfoot.getMouseInfo();
            shoot(m.getX(), m.getY());
        }
    }   

    public Player() {
        posx = 384;
        posy = 256;
        limit = 8;
        strength = 8;
    }
}
